% ICMC97Latex.cls  29 April 1996
% for LaTeX-2e
% Originally created by Gary Scavone for the 
% 1996 International Computer Music Conference
% Hacked for the 1997 ICMC by Perry R. Cook
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ICMC97Latex}[1997/03/29 ICMC Class]

\newif\if@wideabstract
\@wideabstractfalse

\DeclareOption{wideabstract}{\@wideabstracttrue}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}

% a la author, title, etc.  is rendered in maketitle
\def\wideabstract#1{\gdef\@wideabstract{#1}}

\setlength{\topmargin}{-0.25in}
\setlength{\headheight}{0in}
\setlength{\headsep}{0in}
\setlength{\evensidemargin}{0.0in}
\setlength{\oddsidemargin}{0.0in}
\setlength{\textwidth}{6.5in}
\setlength{\textheight}{9.0 in}
\setlength{\footskip}{0.5in}
\setlength{\parindent}{0.25in}

\newcommand{\institution}[1]{\def\@institution{#1}}
  \institution{}

\def\@maketitle{%
	\newpage
	\null
	\begin{center}%
	\let \footnote \thanks
	{\LARGE \textbf{\@title} \par}%
	\vskip 14pt%
	{\large
		\begin{tabular}[t]{c}%
		\@author
		\end{tabular}\par}%
	\vskip 12pt%
	{\large
		\textit{\@institution} \par}
	\vskip 14pt%
	\if@wideabstract
	  {\large \bfseries \abstractname \vspace{-8pt}}\par
	  \begin{quote}\noindent \@wideabstract \end{quote}
	\else
	\fi
	\end{center}%
	\par
	\vskip 1.5em%
}

\pagestyle{empty}
\def\thepage{}

\bibliographystyle{alpha}
